#!/bin/sh

# Play audio cd, capture the audio output at the soundcard
# and send the digital audio data to an ESD server

# needs ALSA utils, esdcat and cdtools

if  [ "$1" = "-s" ]; then
    shift
    SERVER=${1:-$ESPEAKER}
fi

# set the cd input channel to capture
# and adjust the input level
start_capture()
{
    amixer -q set CD capture
    amixer -q set 'Input Gain' 0
    amixer -q set 'Input Gain' unmute
    arecord -q -wm | esdcat ${SERVER:+-s $SERVER} >&/dev/null &
}

# already start the capturing program if it's not already running
test_capture()
{
    ps auxww | grep "esdcat${SERVER:+ -s $SERVER}" | grep -v grep >&/dev/null
    return $?
}

test_capture || \
start_capture

# start playing, if not already started
if [ "$(cdinfo -s 2>/dev/null)" != "play " ]; then
    cdplay
fi

